using JSMR.Application.Integrations.Chobit.Models;

namespace JSMR.Application.Integrations.Chobit.Ports;

public interface IChobitClient
{
    Task<ChobitResult> GetSampleInfoAsync(string productId, CancellationToken cancellationToken = default);
    Task<ChobitResultCollection> GetSampleInfoAsync(string[] productIds, CancellationToken cancellationToken = default);
}